%define upstream_name    MooseX-Role-Loggable
%define upstream_version 0.114

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Extensive, yet simple, logging role using Log::Dispatchouli
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo) >= 1.0.1
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Sys::Syslog) >= 0.250.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::sweep)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a role to provide logging ability to whoever consumes it using the
Log::Dispatchouli manpage.

Once you consume this role, you have the attributes and methods documented
below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.114.0-4.mga8
+ Revision: 1505404
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.114.0-3.mga7
+ Revision: 1285083
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.114.0-2.mga7
+ Revision: 1165637
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.114.0-1.mga7
+ Revision: 1157571
- update to 0.114

* Sun Jun 19 2016 pterjan <pterjan> 0.112.0-6.mga6
+ Revision: 1030561
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.112.0-5.mga6
+ Revision: 932411
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-4.mga5
+ Revision: 741271
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-3.mga5
+ Revision: 685561
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.112.0-2.mga4
+ Revision: 537369
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.112.0-1.mga4
+ Revision: 486868
- update to 0.112

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 370264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 315187
- update to 0.010

* Mon Sep 17 2012 jquelin <jquelin> 0.9.0-1.mga3
+ Revision: 295258
- update to 0.009

* Thu Jan 05 2012 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 191217
- update to 0.007
+ kharec <kharec>
- update to 0.004

* Sun Jul 03 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 117555
- imported package perl-MooseX-Role-Loggable


* Sun Jul 03 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
